
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>

<%@ page import="java.util.Iterator" %>
<%@ page import="com.sas.apps.citation.view.beans.PagePropertyBean" %>
<%@ page import="com.sas.apps.citation.util.CommonUtils" %>
<%@ page import="com.sas.apps.citation.util.NumberFormatHelper" %>
<%@ page import="com.sas.apps.citation.util.L10N" %>
<%@ page import="com.sas.apps.citation.view.beans.datetime.DateTimeFieldForm" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.section.relational.EditFilterForm" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.section.relational.EditFilterFormUiAdapter" %>
<%@ page import="com.sas.apps.citation.view.tbeans.html.CitationButton" %>
<%@ page import="com.sas.apps.citation.view.tbeans.html.datetime.DateTimeFieldSelector" %>
<%@ page import="com.sas.apps.citation.view.util.ViewUtils" %>
<%@ page import="com.sas.servlet.tbeans.form.html.ComboBoxView" %>
<%@ page import="org.apache.struts.util.LabelValueBean" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator.BeanValidatorXSSException" %>

<html:xhtml />
<jsp:useBean id="customFilterForm" class="com.sas.apps.citation.view.beans.filterrank.section.relational.EditFilterForm" scope="session" />

<%
// These strings help to do locale-specific validation on numeric fields
NumberFormatHelper numberFormatHelper = L10N.createNumberFormatHelper(ViewUtils.getLocale(request));
String i18nNumbersOnly = numberFormatHelper.getAllowInternationalNumericOnlyString();

String textWidth = request.getParameter("textWidth");
String tilesFiltersDir = request.getParameter("tilesFiltersDir");
try
{
	BeanValidator.validateGeneralStringContent(textWidth);
	BeanValidator.validateGeneralStringContent(tilesFiltersDir);
} catch (BeanValidatorXSSException e)
{
	throw new IllegalArgumentException("SECURITY VIOLATION: potential cross-site scripting detected");
}

String insertedJSPName = null;
boolean isDateOrTime  = customFilterForm.isFilteredDataItemDateOrTime();
%>
<table id="promptSelectionTypeContainer" style="display: none;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
  <td class="customFilterEditorLabelCol" style="vertical-align:top;"><label for="promptTypeSelector" class="header"><bean:message key="filter.choose.prompt.type.txt"/></label></td>
  <td class="buttonSpacer">&nbsp;</td>
  <td style="text-align:left;">
    <html:select property="promptType" styleId="promptTypeSelector" styleClass="dropdown" style="<%=textWidth %>" onchange="onPromptTypeChange();">
			<%
			Iterator selection_types = customFilterForm.getAllowedPromptTypes(customFilterForm.getExpressionClassId()).iterator();
			while (selection_types.hasNext()) {
			    LabelValueBean valueLabelKeyPair = (LabelValueBean)selection_types.next();
			    String selTypeValue = valueLabelKeyPair.getValue();
			    String selTypeValueLabel = PagePropertyBean.getMessage(pageContext, valueLabelKeyPair.getLabel());
			%>
        <html:option styleClass="dropdown" value='<%=selTypeValue%>'>
          <%=CommonUtils.htmlEncode(selTypeValueLabel)%>
        </html:option>
		<%
			} 
		%>
    </html:select>
  </td>
 </tr>
 </table><%-- promptTypeSelectionContainer --%>
<table id="typeInPromptMessageControls" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
  <td class="customFilterEditorLabelCol" style="vertical-align:top;"><label for="typeInPromptMessage" class="header"><bean:message key="filter.create.default.prompt.label.txt"/></label></td>
  <td class="buttonSpacer">&nbsp;</td>
  <td>
	<html:text styleId="typeInPromptMessage" property="typeInPromptMessage" styleClass="textentry" style="<%=textWidth %>" onkeypress="handleEnter(this, event);"/>
  </td>
</tr>
</table>
<table id="selectPromptMessageControls" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
  <td class="customFilterEditorLabelCol" style="vertical-align:top;"><label for="selectPromptMessage" class="header"><bean:message key="filter.create.default.prompt.label.txt"/></label></td>
  <td class="buttonSpacer">&nbsp;</td>
  <td>
	<html:text styleId="selectPromptMessage" property="selectPromptMessage" styleClass="textentry" style="<%=textWidth %>" onkeypress="handleEnter(this, event);"/>
  </td>
</tr>
</table>
<table id="promptLabelControls" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
  <td class="customFilterEditorLabelCol" style="vertical-align:top;"><label for="promptLabel" class="header"><bean:message key="filter.create.default.prompt.name.txt"/></label></td>
  <td class="buttonSpacer">&nbsp;</td>
  <td>
	<html:text styleId="promptLabel" property="promptLabel" styleClass="textentry"  maxlength="256" style="<%=textWidth %>" onkeypress="handleEnter(this, event);"/>
	<script type="text/javascript"> /*<![CDATA[*/
	   var nameInput = findDOM("promptLabel");
	   var invalidCharacterListener = new ProhibitedCharacterListener(nameInput, g_regExpInvalidFilterChars);
	/*]]>*/ </script>
  </td>
</tr>
</table>
<%
if (isDateOrTime) {
%>
	
	<%-- %%%%%%%%%%%%% SINGLE DATE TYPE IN PROMPT EDITOR %%%%%%%%%%% --%>
<table id="comparisonSingleDatePromptTypeInContainer" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
	<tr>
		<td colspan="3">
		<table style="width: 100%" border="0" cellspacing="0" cellpadding="0" summary="" >
		    <tr>
		      <td colspan="3" class="customFilterEditorLabelCol" style="vertical-align:top;"><span class="header"><label><bean:message key="filter.prompt.defaultValue.txt"/></label></span></td>
		    </tr>
		    <tr>
					<td class="customFilterEditorLabelCol">
						<%
						//labels for date fields; we obtain labels from the value editor
						DateTimeFieldForm dtBean = customFilterForm.getPromptDateDefaultValue();
						DateTimeFieldSelector dateComparisonValueEditor = EditFilterFormUiAdapter.newDateComparisonValueEditor(dtBean, "promptDateDefaultValue", pageContext);
						String labelsTemplate = DateTimeFieldSelector.getDefaultLabelsTemplate(dateComparisonValueEditor.getEditorConfiguration());
						dateComparisonValueEditor.writeComponentLabels(out, labelsTemplate);
						%>
					</td>
					<td class="buttonSpacer">&nbsp;</td>
					<td>
						<%
						dateComparisonValueEditor.write(out);
						%>
					</td>
		    </tr>
		</table>
		</td>
	</tr>
</table>
	<%-- %%%%%%%%%%%End SINGLE DATE TYPE IN PROMPT EDITOR %%%%%%%%%%% --%>
	
<div id="betweenDatePromptTypeInContainer" style="display:none;">
<table style="width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
	  <% insertedJSPName = tilesFiltersDir+"/customFilterSharedContent_betweenDatePromptTypeInEditor.jsp"; %>
		<jsp:include page="<%= insertedJSPName %>"/>
</table>
</div>
<%
}
%>
<div id="promptSelectValuesContainer" style="display:none;">
<table style="width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
  <% insertedJSPName = tilesFiltersDir+"/customFilterSharedContent_promptSelectEditor.jsp"; %>
	<jsp:include page="<%= insertedJSPName %>">
		<jsp:param name="textWidth" value="<%= textWidth %>" />
	</jsp:include>
</tr> 
</table>
</div>
<%-- ++++++++++++++++++ _START dynamicSimpleDefaultValueContainer ++++++++++++++++++ --%>
<table id="dynamicSimpleDefaultValueContainer" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
	<td class="customFilterEditorLabelCol" style="text-align:left;vertical-align:top;">
	  <label for="defaultDynamicPromptValue" class="header"><bean:message key="filter.prompt.defaultValue.txt"/></label>
	</td>
	<td class="buttonSpacer">&nbsp;</td>
       <td style="text-align:left;">
           <html:text property="defaultDynamicPromptValue" maxlength="256" styleId="defaultDynamicPromptValue" styleClass="textentry" style="<%=textWidth %>" onkeypress="handleEnter(this, event);"/>
	    <script type="text/javascript"> /*<![CDATA[*/
	        var ddpvValueInput = findDOM("defaultDynamicPromptValue");
	        var ddpvInvalidCharacterListener = new RemoveInvalidFilterChars(
	            ddpvValueInput   <%-- actual textarea dom element for modifying description --%>
	            );
	        ddpvInvalidCharacterListener.initialize();
	    /*]]>*/ </script>
       </td>
</tr> 
</table>
<%-- ++++++++++++++++++ _END dynamicSimpleDefaultValueContainer ++++++++++++++++++ --%>
<%-- %%%%%%%%%%%%% DEFAULT PROMPT VALUE TYPE IN EDITOR  %%%%%%%%%%% 
     %                                                            %
     % Used by CONTAINS, LIKE. Also by EQUAL_TO type-in prompts.  %
     %                                                            %
     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
--%>
<table id="defaultValueTypeInControlContainer" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
	<td class="customFilterEditorLabelCol" style="text-align:left;vertical-align:top;">
	    <label for="defaultPromptValue" class="header"><bean:message key="filter.prompt.defaultValue.txt"/></label>
	</td>
	<td class="buttonSpacer">&nbsp;</td>
	<td style="text-align:left;">
	  <html:text property="defaultPromptValue" maxlength="256" styleId="defaultPromptValue" styleClass="textentry" style="<%=textWidth %>" onkeypress="handleEnter(this, event);"/>
	  <script type="text/javascript"> /*<![CDATA[*/
	      var containsValueInput = findDOM("defaultPromptValue");
	      var invalidCharacterListener = new RemoveInvalidFilterChars(
	          containsValueInput   <%-- actual textarea dom element for modifying description --%>
	          );
	      invalidCharacterListener.initialize();
	  /*]]re>*/ </script>
	</td>
</tr>
</table>
<%-- %%%%%%%%%%%End SINGLE VALUE TYPE IN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%%%%%% --%>
<%-- %%%%%%%%%%%%% NUMERIC PROMPT VALUE TYPE IN EDITOR  %%%%%%%%%%% 
     % Used by numeric type-in prompts. Has numeric-specific validation code attached to it %
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
--%>
<table id="numericValueTypeInControlContainer" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
	<td class="customFilterEditorLabelCol" style="text-align:left;vertical-align:top;">
	    <label for="numericPromptValue" class="header"><bean:message key="filter.prompt.defaultValue.txt"/></label>
	</td>
	<td class="buttonSpacer">&nbsp;</td>
	<td style="text-align:left;">
	  <html:text property="numericPromptValue" maxlength="256" styleId="numericPromptValue" styleClass="textentry" style="<%=textWidth %>" 
	  	onkeypress="<%=i18nNumbersOnly %>" onchange="return numberValidation(this, false);"/>
	</td>
</tr>
</table>
<%-- %%%%%%%%%%%End SINGLE VALUE TYPE IN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%%%%%% --%>
<table id="likePromptValueHint" style="display:none;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
    <td style="text-align:left;" class="header">&nbsp;</td>
    <td class="buttonSpacer">&nbsp;</td>
    <td><span class="label" style="<%=textWidth %>"><bean:message key="filter.custom.likeFilter.hint.txt"/></span></td>
</tr>
</table>
<table id="containsPromptValueHint" style="display:none;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
    <td style="text-align:left;" class="header">&nbsp;</td>
    <td class="buttonSpacer">&nbsp;</td>
    <td><span class="label" style="<%=textWidth %>">&nbsp;</span></td>
</tr> 
</table>
<%
	String includeAllLabelClass = (customFilterForm.getAllowMultiplePromptValues()) ? "label" : "labeldisabled"; 
	String allIsDefaultValueLabelClass = (customFilterForm.getIncludeAllValue()) ? "label" : "labeldisabled";
%>
<table id="promptAllowMultipleValuesContainer" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
	<td style="white-space:nowrap">
    	<html:checkbox property="allowMultiplePromptValues" styleId="multiplePromptValuesCheckBox" onclick="enableIncludeAllValue();"/>
	    <label class="label" id="multiplePromptValuesCheckBoxLabel" 
			for="multiplePromptValuesCheckBox"><%=PagePropertyBean.getLabel(pageContext,"filter.allow.multiple.values.txt") %></label>
	</td>
</tr>
<tr id="includeAllValueRow">
	<td style="white-space:nowrap">
    	<html:checkbox property="includeAllValue" disabled="<%=!(customFilterForm.getAllowMultiplePromptValues()) %>" styleId="includeAllValueCheckBox" onclick="enableAllIsDefaultValue();" />
	    <label class="<%=includeAllLabelClass %>" id="includeAllValueCheckBoxLabel" 
			for="includeAllValueCheckBox"><%=PagePropertyBean.getLabel(pageContext,"filter.allPossibleValues.checkbox.txt") %></label>
	</td>
</tr>
<tr id="allDefaultValueRow">
	<td style="white-space:nowrap">
    	<html:checkbox property="allIsDefaultValue" disabled="<%=!(customFilterForm.getIncludeAllValue()) %>" styleId="allIsDefaultValueCheckBox" style="margin-left:10px" />
	    <label class="<%=allIsDefaultValueLabelClass %>" id="allIsDefaultValueCheckBoxLabel" 
			for="allIsDefaultValueCheckBox"><%=PagePropertyBean.getLabel(pageContext,"filter.allIsDefaultValue.checkbox.txt") %></label>
	</td>
</tr>
</table>
<%-- %%%%%%%%%%%%% BETWEEN CATEGORIES TYPE IN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%% --%>
<table id="betweenCategoryPromptTypeInContainer" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
	<td colspan="3">
		<table style="width: 100%" border="0" cellspacing="0" cellpadding="0" summary="">
		  <tr>
		    <td class="customFilterEditorLabelCol"><span class="header"><label for="defaultBetweenCatMinPromptValue"><bean:message key="filter.prompt.between.defaultMinValue.txt"/></label></span></td>
			<td class="buttonSpacer">&nbsp;</td>
			<td>
			  <html:text property="defaultBetweenCatMinPromptValue" maxlength="256" styleId="defaultBetweenCatMinPromptValue" styleClass="textentry" style="<%=textWidth %>" onkeypress="handleEnter(this, event);"/>
			    <script type="text/javascript"> /*<![CDATA[*/
			        var minInput = findDOM("defaultBetweenCatMinPromptValue");
			        var invalidCharacterListener = new RemoveInvalidFilterChars(
			            minInput   <%-- actual textarea dom element for modifying description --%>
			        );
			        invalidCharacterListener.initialize();
			    /*]]>*/ </script>
			</td>
		  </tr>
		  <tr><td colspan="3" class="linePadding">&nbsp;</td></tr>
		  <tr>
		    <td class="customFilterEditorLabelCol"><span class="header"><label for="defaultBetweenCatMaxPromptValue"><bean:message key="filter.prompt.between.defaultMaxValue.txt"/></label></span></td>
			<td class="buttonSpacer">&nbsp;</td>
			<td>
			  <html:text property="defaultBetweenCatMaxPromptValue" maxlength="256" styleId="defaultBetweenCatMaxPromptValue" styleClass="textentry" style="<%=textWidth %>" onkeypress="handleEnter(this, event);"/>
				<script type="text/javascript"> /*<![CDATA[*/
				   var maxInput = findDOM("defaultBetweenCatMaxPromptValue");
				   var invalidCharacterListener = new RemoveInvalidFilterChars(
				     maxInput   <%-- actual textarea dom element for modifying description --%>
				   );
				  invalidCharacterListener.initialize();
				/*]]>*/ </script>
			</td>
		  </tr>
		</table>
	</td>
</tr> 
</table>
<%-- %%%%%%%%%%%End BETWEEN CATEGORIES TYPE IN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%% --%>
<%-- %%%%%%%%%%%%% BETWEEN CATEGORIES NUMERIC TYPE IN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%% --%>
<table id="betweenCategoryNumericPromptTypeInContainer" style="display:none;padding-top:2px;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
	<td colspan="3">
		<table style="width: 100%" border="0" cellspacing="0" cellpadding="0" summary="">
		  <tr>
		    <td class="customFilterEditorLabelCol"><span class="header"><label for="numericBetweenCatMinPromptValue"><bean:message key="filter.prompt.between.defaultMinValue.txt"/></label></span></td>
			<td class="buttonSpacer">&nbsp;</td>
			<td>
			  <html:text property="numericBetweenCatMinPromptValue" maxlength="256" styleId="numericBetweenCatMinPromptValue" styleClass="textentry" style="<%=textWidth %>" 
			  	onkeypress="<%=i18nNumbersOnly %>" onchange="return numberValidation(this, false);"/>
			</td>
		  </tr>
		  <tr><td colspan="3" class="linePadding">&nbsp;</td></tr>
		  <tr>
		    <td class="customFilterEditorLabelCol"><span class="header"><label for="numericBetweenCatMaxPromptValue"><bean:message key="filter.prompt.between.defaultMaxValue.txt"/></label></span></td>
			<td class="buttonSpacer">&nbsp;</td>
			<td>
			  <html:text property="numericBetweenCatMaxPromptValue" maxlength="256" styleId="numericBetweenCatMaxPromptValue" styleClass="textentry" style="<%=textWidth %>" 
			  	onkeypress="<%=i18nNumbersOnly %>" onchange="return numberValidation(this, false);"/>
			</td>
		  </tr>
		</table>
	</td>
</tr> 
</table>
<%-- %%%%%%%%%%%End BETWEEN CATEGORIES TYPE IN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%% --%>
<%-- %%%%%%%%%%%%% BETWEEN CATEGORIES DROPDOWN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%% --%>
<table id="betweenCategoryPromptDropDownContainer" style="display:none;width:100%;" border="0" cellspacing="0" cellpadding="0" summary="" >
<tr>
<%
//Formatted Value Selection info 
int formattedBetweenPromptChoiceCount = customFilterForm.getFormattedFilterValueChoiceCount();
boolean renderFormattedPromptDropdown = customFilterForm.okToShowFormattedValueSelector();
String formattedDropdownDisplayStyle = "";
//Unformatted Value Selection info 
int unformattedBetweenPromptChoiceCount = customFilterForm.getUnformattedFilterValueChoiceCount();
boolean renderUnformattedPromptDropdown = customFilterForm.okToShowUnformattedValueSelector();
String unformattedDropdownDisplayStyle = "display: none;";

if (!customFilterForm.isFormattedComparison()) 
{  //need to switch display style settings
   String tempDisplayStyle = formattedDropdownDisplayStyle;
   formattedDropdownDisplayStyle = unformattedDropdownDisplayStyle;
   unformattedDropdownDisplayStyle = tempDisplayStyle;
}

%>

<td colspan="3">
<%-- XXXXXXXXXXXXXXXXXXXXX unformattedValueSelectionContainer XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXx --%>
<table id="betweenPromptUnformattedValueSelectorContainer" style="width: 100%; <%=unformattedDropdownDisplayStyle%>" border="0" cellspacing="0" cellpadding="0" summary="" >
<%
    if ( renderUnformattedPromptDropdown ) 
    {
    	ComboBoxView[] unformattedMinMaxComboBoxes = 
    		EditFilterFormUiAdapter.newPromptMinMaxComboBoxes(customFilterForm, false, "selectedUnformattedPrompt", pageContext);
    	
    	String buttonLabel = PagePropertyBean.getLabel(pageContext, "prompts.loadValues.button.txt");
    	CitationButton unformattedLoadValuesButton = CitationButton.createStandaloneButton(request, "unformattedLoadPromptValues", buttonLabel);
    	unformattedLoadValuesButton.setOnClick("g_customFilterDialog.loadPossibleFilterValuesIfNeeded();");
 %>
    <tr><td class="linePadding">&nbsp;</td></tr>
	<tr><td><% unformattedLoadValuesButton.write(out); %></td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
 <%
    if( unformattedBetweenPromptChoiceCount > EditFilterForm.MAX_FILTER_CHOICES ) 
    {  // too many values to display
	%>
    <tr><td><span class="errorMessages" style="text-align:left;margin-left:0px;"><%=PagePropertyBean.getMessage(pageContext, "warning.filter.too.many.available.values.txt")%></span></td></tr>
	<%
	} else if (customFilterForm.isUnformattedFilterValueChoicesLoaded() && customFilterForm.getAvailableUnformattedValuesAsList().size() == 0) {
	%>
	<tr><td><span class="errorMessages" style="text-align:left;margin-left:0px;"><%=PagePropertyBean.getMessage(pageContext, "filter.availableValues.noResults.txt")%></span></td></tr>
	<%
	}
 	%>
    <tr>
        <td class="customFilterEditorLabelCol" style="white-space:nowrap;text-align:left;">
            <label for="selectedUnformattedPromptMinValue_iFrameComboTEControl" id="betweenPromptSelectUnformattedMinLabel" class="header"><%=PagePropertyBean.getLabel(pageContext,"filter.minimum.combo.txt") %></label>
        </td>
    </tr>
    <tr>
        <td style="position:relative;white-space:nowrap;text-align:left;height:14px;">
        	<%
				ComboBoxView minUnformattedComboBox = unformattedMinMaxComboBoxes[0];
				minUnformattedComboBox.write(out);
				out.write(EditFilterFormUiAdapter.getComboBoxValidationScript("selectedUnformattedPromptMinValue_iFrameComboTEControl"));
				minUnformattedComboBox.cleanUpResources();
			%>
			<span class="label">&nbsp;</span>
        </td>
    </tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr>
        <td class="customFilterEditorLabelCol" style="white-space:nowrap;text-align:left;">
            <label for="selectedUnformattedPromptMaxValue_iFrameComboTEControl" id="betweenPromptSelectUnformattedMaxLabel" class="header"><%=PagePropertyBean.getLabel(pageContext,"filter.maximum.combo.txt") %></label>
        </td>
    </tr>
    <tr>
        <td style="position:relative;white-space:nowrap;text-align:left;height:14px;">
        	<%
				ComboBoxView maxUnformattedComboBox = unformattedMinMaxComboBoxes[1];
				maxUnformattedComboBox.write(out);
				out.write(EditFilterFormUiAdapter.getComboBoxValidationScript("selectedUnformattedPromptMaxValue_iFrameComboTEControl"));
				maxUnformattedComboBox.cleanUpResources();
			%>
			<span class="label">&nbsp;</span>
        </td>
    </tr>
<%
   } //if ( renderUnformattedValueDropdown ) 
    else 
    {  //should never enter here
%>
    <tr><td>&nbsp;</td></tr>
<%
    }
%>
</table>

<%-- XXXXXXXXXXXXXXXXXXXXX formattedValueSelectionContainer XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXx --%>
<table id="betweenPromptFormattedValueSelectorContainer" style="width: 100%; <%=formattedDropdownDisplayStyle%>" border="0" cellspacing="0" cellpadding="0" summary="" >
<%  
    if ( renderFormattedPromptDropdown ) 
    {
    	ComboBoxView[] formattedMinMaxComboBoxes = 
    		EditFilterFormUiAdapter.newPromptMinMaxComboBoxes(customFilterForm, true, "selectedPrompt", pageContext);
    	
    	String buttonLabel = PagePropertyBean.getLabel(pageContext, "prompts.loadValues.button.txt");
    	CitationButton formattedLoadValuesButton = CitationButton.createStandaloneButton(request, "formattedLoadPromptValues", buttonLabel);
    	formattedLoadValuesButton.setOnClick("g_customFilterDialog.loadPossibleFilterValuesIfNeeded();");
%>
    <tr><td class="linePadding">&nbsp;</td></tr>
	<tr><td><% formattedLoadValuesButton.write(out); %></td></tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
 <%
    if( formattedBetweenPromptChoiceCount > EditFilterForm.MAX_FILTER_CHOICES ) 
    {  // too many values to display
	%>
    <tr><td><span class="errorMessages" style="text-align:left;margin-left:0px;"><%=PagePropertyBean.getMessage(pageContext, "warning.filter.too.many.available.values.txt")%></span></td></tr>
	<%
	} else if (customFilterForm.isFormattedFilterValueChoicesLoaded() && customFilterForm.getAvailableFormattedValuesAsList().size() == 0) {
	%>
    <tr><td><span class="errorMessages" style="text-align:left;margin-left:0px;"><%=PagePropertyBean.getMessage(pageContext, "filter.availableValues.noResults.txt")%></span></td></tr>
	<%
	}
 	%>
    <tr>
        <td class="customFilterEditorLabelCol" style="white-space:nowrap;text-align:left;">
            <label for="selectedPromptMinValue_iFrameComboTEControl" id="betweenPromptSelectFormattedMinLabel" class="header"><%=PagePropertyBean.getLabel(pageContext,"filter.minimum.combo.txt") %></label>
        </td>
    </tr>
    <tr>
        <td style="position:relative;white-space:nowrap;text-align:left;height:14px;">
        	<%
				ComboBoxView minFormattedComboBox = formattedMinMaxComboBoxes[0];
				minFormattedComboBox.write(out);
				out.write(EditFilterFormUiAdapter.getComboBoxValidationScript("selectedPromptMinValue_iFrameComboTEControl"));
				minFormattedComboBox.cleanUpResources();
			%>
			<span class="label">&nbsp;</span>
        </td>
    </tr>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr>
        <td class="customFilterEditorLabelCol" style="white-space:nowrap;text-align:left;">
            <label for="selectedPromptMaxValue_iFrameComboTEControl" id="betweenPromptSelectFormattedMaxLabel" class="header"><%=PagePropertyBean.getLabel(pageContext,"filter.maximum.combo.txt") %></label>
        </td>
    </tr>
    <tr>
        <td style="position:relative;white-space:nowrap;text-align:left;height:14px;">
        	<%
				ComboBoxView maxFormattedComboBox = formattedMinMaxComboBoxes[1];
				maxFormattedComboBox.write(out);
				out.write(EditFilterFormUiAdapter.getComboBoxValidationScript("selectedPromptMaxValue_iFrameComboTEControl"));
				maxFormattedComboBox.cleanUpResources();
			%>
			<span class="label">&nbsp;</span>
        </td>
    </tr>
<% 
    } //if ( renderFormattedValueSelector ) 
	else if (!customFilterForm.isFormattedDataItem())
	{ 
%>
    <tr><td class="linePadding">&nbsp;</td></tr>
    <tr><td><span class="errorMessages" style="text-align:left;margin-left:0px;"><%=PagePropertyBean.getMessage(pageContext, "rankAndFilter.value.selection.no.formatted.values.txt")%></span></td></tr>           
<%			
	}
    else 
    {  //should never enter here
%>
    <tr><td>&nbsp;</td></tr>
<%
    }
%>
</table>
</td></tr>
</table>
<%-- %%%%%%%%%%%End BETWEEN CATEGORIES DROPDOWN PROMPT EDITOR %%%%%%%%%%%%%%%%%%%% --%>

