<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<%@ page errorPage="/errorPage.jsp" %>
<%-- =================================================================================
    Name:       verticalMenuRibbon.jsp
    Purpose:    The WRS Vertical MenuRibbon for Task Pane for Design Mode 
     ================================================================================= --%>
<% try { // START %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.apps.citation.view.beans.PagePropertyBean" %>
<%@ page import="com.sas.apps.citation.view.util.PageErrorProcessor" %>
<%@ page import="com.sas.apps.citation.view.util.ThemeUtils" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator.BeanValidatorXSSException" %>

<jsp:useBean id="reportBuilderForm"
    class="com.sas.apps.citation.view.beans.reportbuilder.ReportBuilderFormBean"
    scope="session" />   
<%-- ==============================================================================
     Note that the buttons need to be initially set to the "disabled" versions of the
     icons because the initialization code relies on that being the default
     ================================================================================ --%>
<script type="text/javascript"> 
/*<![CDATA[*/
function cwSideButtonClick(evt, tag, actionFunc)
{
   e = evt ? evt : window.event;
   if (cwDialogManager.isDialogOpen()) {
      showDebugMsgs("sideButtonClick - ignore click because of open dialog", tag);
   } else {
      dojo.event.topic.publish('Components.ClosePopups'); 
      if (g_layoutSideButtonStates[tag].active){ 
         actionFunc(e);
      }; 
   }   
   return cwAbsorbEvent(e);
}
/*]]>*/ </script>
<% 
    String link = reportBuilderForm.isCurrentSectionStoredProcess() ? "#editContentArea" : "#builderHeaderTitleCell";
    String editContentAreaLink = request.getRequestURL().append(link).toString(); /*I18nOK:LSM*/
	try
	{
		BeanValidator.validateGeneralStringContent(editContentAreaLink);
	} catch (BeanValidatorXSSException e)
	{
		throw new IllegalArgumentException("SECURITY VIOLATION: potential cross-site scripting detected");
	}
%>
<table summary="" id="verticalBarLayoutTable">
    <tr>
      <!-- Skip to main content navigation link for screen readers -->
      <td style="width:1%; text-align:left; vertical-align:middle">
        <a href="<%=editContentAreaLink %>" >
          <img class="skipnav" src="<%=ThemeUtils.getImageSourceURL(request, "wrs_skipnav")%>" 
              alt='<%=PagePropertyBean.getMessage(pageContext, "sec508.skip.navigation.txt")%>' 
              />
        </a>
      </td>
    </tr>
    <tr>
        <td style="padding:15px 0px 0px 1px">
          <input type="image" id="removeLayoutSideButton" class="verticalBarInput"
              style="visibility:visible; display:block"
              onclick="return cwSideButtonClick(event, 'remove', WrsEdit.layout.deleteSelection);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_delete_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.delete.cells.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.delete.cells.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'remove', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'remove', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
    <tr>
        <td>
          <input type="image"  id="insertColumnBeforeLayoutSideButton" class="verticalBarInputSquare"
              onclick="return cwSideButtonClick(event, 'insertColumnBefore', WrsEdit.layout.insertColumnBefore);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_insert_column_before_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.column.before.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.column.before.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'insertColumnBefore', 'over', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
              onmouseout="WrsEdit.buttons.setRollover(this,'insertColumnBefore', 'out', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
           />
        </td>
    </tr>  
    <tr>
        <td>
          <input type="image"  id="insertColumnAfterLayoutSideButton" class="verticalBarInputSquare"
              onclick="return cwSideButtonClick(event, 'insertColumnAfter', WrsEdit.layout.insertColumnAfter);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_insert_column_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.column.after.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.column.after.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'insertColumnAfter', 'over', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
              onmouseout="WrsEdit.buttons.setRollover(this,'insertColumnAfter', 'out', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
           />
        </td>
    </tr> 
    <tr>
        <td>
          <input type="image"  id="insertRowBeforeLayoutSideButton" class="verticalBarInputSquare"
              onclick="return cwSideButtonClick(event, 'insertRowBefore', WrsEdit.layout.insertRowBefore);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_insert_row_before_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.row.before.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.row.before.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'insertRowBefore', 'over', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
              onmouseout="WrsEdit.buttons.setRollover(this,'insertRowBefore', 'out', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
           />
        </td>
    </tr>
    <tr>
        <td>
          <input type="image"  id="insertRowAfterLayoutSideButton" class="verticalBarInputSquare"
              onclick="return cwSideButtonClick(event, 'insertRowAfter', WrsEdit.layout.insertRowAfter);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_insert_row_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.row.after.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.insert.row.after.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'insertRowAfter', 'over', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
              onmouseout="WrsEdit.buttons.setRollover(this,'insertRowAfter', 'out', 'verticalBarInputSquareRollover','verticalBarInputSquare');"
           />
        </td>
    </tr>
    <tr>
        <td>
          <input type="image" id="mergeCellsLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'mergeCells', WrsEdit.layout.mergeSelectedCells);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_merge_cells_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.merge.cells.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.merge.cells.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'mergeCells', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'mergeCells', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
    <tr>
        <td>
          <input type="image"  id="splitColumnsLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'splitColumns', WrsEdit.layout.splitVertical);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_split_rows_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.split.cells.vertically.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.split.cells.vertically.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'splitColumns', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'splitColumns', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>   
    <tr>
        <td>
          <input type="image"  id="splitRowsLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'splitRows', WrsEdit.layout.splitHorizontal);"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_split_columns_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.split.cells.horizontally.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.split.cells.horizontally.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'splitRows', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'splitRows', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr> 
    <tr>
        <td class="menuSub" style="text-align:center; vertical-align:middle">
         <span>
             <img src="<%=ThemeUtils.getImageSourceURL(request, "Menu_Divider_Horizontal")%>" width="20" height="1" alt=""/>
         </span>
        </td>
    </tr>   
        <tr><td class="linePadding">&nbsp;</td></tr>
    <tr>
        <td>
          <input type="image"  id="alignLeftLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'alignLeft', function(e){ WrsEdit.layout.alignSelectedCells('left');} );"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_align_left_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.left.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.left.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'alignLeft', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'alignLeft', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
   <tr>
        <td>
          <input type="image"  id="alignCenterLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'alignCenter', function(e){WrsEdit.layout.alignSelectedCells('center');} );"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_align_center_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.center.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.center.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'alignCenter', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'alignCenter', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
    <tr> 
        <td>
          <input type="image"  id="alignRightLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'alignRight', function(e){WrsEdit.layout.alignSelectedCells('right');} );"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_align_right_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.right.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.right.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'alignRight', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'alignRight', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
        <tr>
        <td>
          <input type="image"  id="alignTopLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'alignTop', function(e){WrsEdit.layout.alignSelectedCells('top');} );"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_align_top_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.top.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.top.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'alignTop', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'alignTop', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
    <tr>
        <td>
          <input type="image"  id="alignMiddleLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'alignMiddle', function(e){WrsEdit.layout.alignSelectedCells('middle');} );"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_align_middle_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.middle.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.middle.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'alignMiddle', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'alignMiddle', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
    <tr> 
        <td>
          <input type="image"  id="alignBottomLayoutSideButton" class="verticalBarInput"
              onclick="return cwSideButtonClick(event, 'alignBottom', function(e){WrsEdit.layout.alignSelectedCells('bottom');} );"
              src="<%=ThemeUtils.getImageSourceURL(request, "wrs_align_bottom_disabled")%>"
              alt="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.bottom.txt")%>"
              title="<%=PagePropertyBean.getLabel(pageContext,"edit.layout.style.align.bottom.txt")%>"
              onmouseover="WrsEdit.buttons.setRollover(this,'alignBottom', 'over', 'verticalBarInputRollover','verticalBarInput');"
              onmouseout="WrsEdit.buttons.setRollover(this,'alignBottom', 'out', 'verticalBarInputRollover','verticalBarInput');"
           />
        </td>
    </tr>
</table>       

<% } catch (Exception ex) {
    PageErrorProcessor.setJspError(ex, pageContext, out);
} // END: DEBUG %>